<div class="row">
    <div class="col-md-12 col-xl-12 page-header-title"> 
        <h4>{{ 'eim.add_contact.contact' | translate }}</h4>
        <br/>
        <br/>
    </div>
    <form [formGroup]="addcontactform" (ngSubmit)="onSubmitAddContact()">
        <div class="col-md-12 col-xl-12">
            <div class="card card-border-primary"> 
                <div class="card-block row">
                    <div class="col-lg-12 col-xl-12 form-group">
                        <h5><strong><strong>{{ 'eim.add_contact.header_contact' | translate }}</strong></strong></h5>
                        <hr/>
                    </div>  
                    <div class="col-md-2 col-xl-2 form-group">
                        <div class="card rounded-card user-card">
                            <div class="card-body">
                                <div class="img-hover">
                                    <img class="img-fluid img-circle" src="assets/images/avatar-2.png" alt="round-img">
                                    <div class="img-overlay">
                                        <span>
                                            <a [routerLink]="['/eim/contact']" class="btn btn-sm btn-primary btn-outline-primary" data-popup="lightbox"><i class="icofont icofont-ui-edit"></i></a>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group row align-items-center">
                        <div class="col-md-12 col-xl-12 form-group">
                            <div class="checkbox-fade fade-in-primary">
                                <label>
                                    <input type="checkbox" value="">
                                    <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                                    <span class="text-inverse">{{ 'eim.add_contact.label_contact' | translate }}</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_1' | translate }}</strong></label>
                        <input type="text" class="form-control" id="first_name" formControlName="FirstName" placeholder="{{ 'eim.add_contact.label_contact_1' | translate }}">
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_2' | translate }}</strong></label>
                        <input type="text" class="form-control" id="last_name" formControlName="LastName" placeholder="{{ 'eim.add_contact.label_contact_2' | translate }}">
                    </div>
                    <div class="col-md-3 col-xl-3 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_3' | translate }}</strong></label>
                        <select name="select" class="form-control" id="honorific" formControlName="Honorific">
                            <option value="">-- Select Honorific --</option> 
                            <option value="Mr">Mr.</option> 
                            <option value="Mrs">Mrs.</option> 
                            <option value="Ms">Ms.</option> 
                        </select> 
                    </div>
                    <div class="col-md-3 col-xl-3 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_4' | translate }}</strong></label>
                        <select name="select" class="form-control" id="gender" formControlName="Gender">
                            <option value="">-- Select Gender --</option> 
                            <option value="M">Male</option> 
                            <option value="F">Female</option> 
                        </select> 
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_5' | translate }}</strong></label>
                        <select name="select" class="form-control" id="primary_industry" formControlName="PrimaryIndustry">
                            <option value="">-- Select Primary Industry --</option> 
                            <option value="Edu">Education</option> 
                            <option value="HD">Horizontal Design</option> 
                        </select> 
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_6' | translate }}</strong></label>
                        <select name="select" class="form-control" id="first_language" formControlName="FirstLanguage">
                            <option value="">-- Select First Languange --</option>
                            <option value="EN">English</option> 
                            <option value="CN">Chinnese</option> 
                        </select> 
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_7' | translate }}</strong></label>
                        <select name="select" class="form-control" id="second_language" formControlName="SecondLanguage">
                            <option value="">-- Select Second Languange --</option>
                            <option value="EN">English</option> 
                            <option value="CN">Chinnese</option> 
                        </select>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_8' | translate }}</strong></label>
                        <input type="text" class="form-control" id="address1" formControlName="Address1" placeholder="{{ 'eim.add_contact.label_contact_8' | translate }}">
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_9' | translate }}</strong></label>
                        <input type="text" class="form-control" id="address2" formControlName="Address2" placeholder="{{ 'eim.add_contact.label_contact_9' | translate }}">
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_10' | translate }}</strong></label>
                        <input type="text" class="form-control" id="address3" formControlName="Address3" placeholder="{{ 'eim.add_contact.label_contact_10' | translate }}">
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_11' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="city" formControlName="City">
                            <option value="">-- Select City --</option>
                            <option value="SG">Singapore</option> 
                            <option value="JK">Jakarta</option> 
                        </select> 
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_12' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="state" formControlName="State">
                            <option value="">-- Select State --</option>
                            <option value="CSG">Central Singapore</option> 
                            <option value="WJI">West Java Indonesia</option> 
                        </select> 
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_13' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="country" formControlName="Country">
                            <option value="">-- Select Country --</option>
                            <option value="SG">Singapore</option> 
                            <option value="ID">Indonesia</option> 
                        </select> 
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_14' | translate }}</strong></label> 
                        <input type="text" class="form-control" id="postal_code" formControlName="PostalCode" placeholder="{{ 'eim.add_contact.label_contact_14' | translate }}">
                    </div>
                    <div class="col-md-8 col-xl-8 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_15' | translate }}</strong></label> 
                        <input type="text" class="form-control" id="website" formControlName="Website" placeholder="{{ 'eim.add_contact.label_contact_15' | translate }}">
                    </div>
                    <div class="col-md-12 col-xl-12 form-group"> 
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_16' | translate }}</strong></label> 
                        <textarea class="form-control" rows="6" id="bio" formControlName="Bio" placeholder="{{ 'eim.add_contact.label_contact_16' | translate }}"></textarea>
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">{{ 'eim.add_contact.chck_contact_1' | translate }}</span>
                          </label>
                        </div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group"></div> 
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_17' | translate }}</strong></label>
                        <input type="email" class="form-control" id="email" formControlName="EmailAddress" placeholder="{{ 'eim.add_contact.label_contact_17' | translate }}" >
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_18' | translate }}</strong></label> 
                        <div class="form-inline">
                            <select name="select" class="form-control col-md-3" formControlName="PrefixPhoneNumber">
                                <option value="+65">+65</option> 
                                <option value="+62">+62</option> 
                            </select> 
                            <input type="number" class="form-control col-md-7 ml-3" id="phonenumber" formControlName="PhoneNumber" placeholder="{{ 'eim.add_contact.label_contact_18' | translate }}">
                        </div>
                    </div>
                    <div class="col-sm-4 col-sm-4 form-group">
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_contact_19' | translate }}</strong></label> 
                        <div class="form-inline">
                            <select name="select" class="form-control col-md-3" formControlName="PrefixMobileNumber">
                                <option value="+65">+65</option> 
                                <option value="+62">+62</option> 
                            </select>                             
                            <input type="number" class="form-control col-md-7 ml-3" id="mobilenumber" formControlName="MobileNumber" placeholder="{{ 'eim.add_contact.label_contact_19' | translate }}">
                        </div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">{{ 'eim.add_contact.chck_contact_2' | translate }}</span>
                          </label>
                        </div>
                        <br/>
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">{{ 'eim.add_contact.chck_contact_3' | translate }}</span>
                          </label>
                        </div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">      
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">{{ 'eim.add_contact.chck_contact_4' | translate }}</span>
                          </label>
                        </div>
                    </div> 
                    <div class="col-md-4 col-xl-4 form-group">      
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">{{ 'eim.add_contact.chck_contact_5' | translate }}</span>
                          </label>
                        </div>
                    </div>  
                    <br/><br/><br/><br/><br/>
                    <div class="col-lg-12 col-xl-12 form-group">
                        <h5><strong><strong>{{ 'eim.add_contact.header_role' | translate }}</strong></strong></h5>
                        <hr/>
                    </div> 
                    <div class="col-md-12 col-xl-12 form-group">    
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_role_1' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="service_role" formControlName="ServiceRole">
                            <option value="">-- Select Service Role --</option>
                            <option value="aci_admin">ACI Admin</option>
                            <option value="aci_member">ACI Member</option>  
                        </select>
                    </div>
                    <br/><br/><br/><br/><br/>
                    <div class="col-lg-12 col-xl-12 form-group">
                        <h5><strong><strong>{{ 'eim.add_contact.header_affi' | translate }}</strong></strong></h5>
                        <hr/>
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">    
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_affi_1' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="primary_site" formControlName="PrimarySite">
                            <option value="">-- Select Primary Site --</option>
                            <option value="KP">Korean Partner</option>  
                        </select> 
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">       
                        <label class="col-form-label"><strong>{{ 'eim.add_contact.label_affi_2' | translate }}</strong></label> 
                        <select name="select" class="form-control" id="country_site" formControlName="CountrySite">
                            <option value="">-- Select Country --</option>
                            <option value="SG">Singapore</option> 
                            <option value="ID">Indonesia</option> 
                        </select>
                    </div>
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th width="40%">{{ 'eim.add_contact.label_tbl_1' | translate }}</th>
                                <th width="40%">{{ 'eim.add_contact.label_tbl_2' | translate }}</th>
                                <th width="40%">{{ 'eim.add_contact.label_tbl_3' | translate }}</th>
                                <th width="40%">{{ 'eim.add_contact.label_tbl_4' | translate }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let field of fieldArray; let i = index">
                                <td>
                                    <input [(ngModel)]="field.site_id" class="form-control" type="text" name="{{field.site_id}}" readonly="true" [ngModelOptions]="{standalone: true}" />
                                </td>
                                <td>
                                    <input [(ngModel)]="field.site_name" class="form-control" type="text" name="{{field.site_name}}" readonly="true" [ngModelOptions]="{standalone: true}"/>
                                </td>
                                <td>
                                    <input [(ngModel)]="field.site_location" class="form-control" type="text" name="{{field.site_location}}" readonly="true" [ngModelOptions]="{standalone: true}"/>
                                </td>
                                <td>
                                    <button (click)="deleteFieldValue(i)" class="btn btn-primary btn-outline-primary" ngbTooltip="Delete Organization"><i class="icofont icofont-delete-alt"></i></button>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteId" [(ngModel)]="newAttribute.site_id" name="newAttributeSiteId" readonly="true" [ngModelOptions]="{standalone: true}"/>
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteName" [(ngModel)]="newAttribute.site_name" name="newAttributeSiteName" readonly="true" [ngModelOptions]="{standalone: true}"/>
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteLocation" [(ngModel)]="newAttribute.site_location" name="newAttributeSiteLocation" readonly="true" [ngModelOptions]="{standalone: true}" />
                                </td>
                                <td>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="col-md-3 col-xl-3 form-group text-right pull-left">     
                        <button type="button" (click)="addFieldValue()" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-ui-add"></i> Add Organization</button>
                    </div>
                    <div class="col-md-7"></div>
                    <div class="col-md-2 col-xl-2 form-group text-right pull-right">       
                        <button type="submit" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-save"></i> Create</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

   

